WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Error: TinyMCE is Undefined (13 posts)

  1. SirStuey
    Member
    Posted 6 years ago #

    I upgraded from WordPress 2.5 to 2.51 and am getting a Error: TinyMCE is Undefined error when I try to create or edit a post or page.

    I installed WP 2.51 fresh to a different domain (but same host) and am getting the same error.

    The error does not pop up right away, though. The editor is stuck in html mode, with "visual" highlighted and when I click on "html" the error pops up.

    I tried the wplang fix, the compression fixes, and just about every other fix and check I saw mentioned on the forums and the bug tracking page.

    If it makes a difference, when the error comes up, it sometimes follows an error reporting that a ';' is expected in line 3.

    Also, my blog is hosted via a shared server running hpanel, and I configured wordpress such that all supporting files are in a subdirectory.

    The same error was reproduced via firefox, IE7, and three different computers.

    For the blog that went from version 2.5 to 2.51, there was a similar problem after installing 2.5 fresh. However, I was able to circumvent it using (forgotten) advice found in the forum. I retraced my steps and read most of the same threads, and as mentioned those methods failed to work this time.

  2. SirStuey
    Member
    Posted 6 years ago #

    I got rid of the 2.51 installation, and reinstalled version 2.5. Changing the compression from "true" to "false" fixes the visual editor. However, this fix does not work for me when tried for version 2.51.

  3. Ivovic
    Member
    Posted 6 years ago #

    I'd try selectively disabling plugins, if you have any... I had this issue with a gzipping plugin (which has since been updated) so it's not beyond the realms of possibility that something you have there is stepping on tinymce.

    I don't know if it was the plugin or the gzipping process itself, so you may want to look at disabling mod_gzip, or mod_deflate in your htaccess, for the tinymce itself.

    having said that, I'm using mod_deflate now with no problems.

  4. SirStuey
    Member
    Posted 6 years ago #

    I upgraded a fixed 2.5 install to 2.51, and it broke again. There were no plugins installed or activated.

    On line 173 of the tinymce config file, I changed ('compress' => true) to false, and I commented out line 13, the "fix" that was mentioned here.

    Playing with it back and forth, (while ( @ob_end_clean() );) must be commented out for my tinymce to work properly.

    There are now no tinymce errors in firefox of IE7 for me.

  5. Ivovic
    Member
    Posted 6 years ago #

    interestingly I've done none of those thigns, and it works for me in IE7 and Firefox.... which is kind of odd, as the browsers are a known qantity, and the script is client-side, so there's a fairly limited number of things that can go wildly wrong.

    (not none, just not really a huge number of them).

  6. SirStuey
    Member
    Posted 6 years ago #

    For others coming across the same error with version 2.51,

    Edit the following file: yoursite/wp-includes/js/tinymce/tiny_mce_config.php

    First, comment out (by instering // before the code) while ( @ob_end_clean() ); at around line 13. It is immediately preceded by // Discard any buffers

    Then, search for "compress" until you find 'compress' => true and change the "true" to "false.

    If you have the same problem with version 2.5, you only need to worry about the compression setting.

  7. SirStuey
    Member
    Posted 6 years ago #

    Ivonic, it seems as though my host's settings or the server could be at fault here. My blog is hosted on a litespeed server, as opposed to apache, which may somehow be the reason I've experienced these problems.

    Also, when viewing http://toolguyd.net/blog/wp-includes/js/tinymce/tiny_mce_config.php of a still broken 2.51 install through a browser, there are a few errors and then a lot of garbled symbolized text. When accessing the file via a fixed 2.51 install, the file presents itself properly as a download or openable file. From what I gathered via the forums, if the text is garbled, it suggests a compression error.

  8. Ivovic
    Member
    Posted 6 years ago #

    odd that litespeed should be mangling it...but it does certainly add a whole layer of reasons for it to fail.

    I'm glad you resolved it though, I'm sure this will help a bunch of folks.

  9. fidra
    Member
    Posted 6 years ago #

    I had the same problem with version 2.5. Unfortunately the above solutions didn't work for me.

    However, deleting the directory mysite/wp-content/uploads/ seems to have done the trick.

  10. parthatel
    Member
    Posted 6 years ago #

    I still have the same problem. None of the methods worked for me

  11. Blogicle
    Member
    Posted 5 years ago #

    Sorry for the kick but @SirStuey thanks! I had the same problem in 2.6.2 and changing the tiny_mce_config.php worked for me, it is working again now :)

  12. saphod
    Member
    Posted 5 years ago #

    Doh --> SirStuey just said what I wrote, and now here is my useless post. :'-(

    Sorry guys - I should have read this thread more carefully.

    Useless post:
    In former times (I tested it on WP 2.3.1), script-loader.php was the problem. I remember that I had some problems when plugins tried to add buttons to the editor. One could change script-loader.php to load the un-gzipped tinymce by slightly changing the code. Unfortunately, I can't find the post anymore... I just know that the member name was Robin.

    In WP 2.5.1, maybe it helps setting "compress" to FALSE on line 173 in tiny_mce_config.php.

  13. ascension2020
    Member
    Posted 5 years ago #

    I could not get the WordPress flash uploader to work on one of my Web sites. It just defaulted to the HTML uploader. I was using WP 2.6.2, and the flash uploader was working for all of my other WP installations on the same server.

    I noticed that i was getting the "TinyMCE is Undefined" error, so I followed the steps here (changing compress to FALSE on line 173 and commented out (while ( @ob_end_clean() );).

    This did fix the javascript error, but I still could not use the Flash uploader. After a bit of playing around I decided to delete the wp-admin and wp-include directories, as described in this post: http://wordpress.org/support/topic/164999?replies=1, and re-upload them from scratch. This fixed the problem with the Flash uploader not working.

    Just figured I'd throw out this tip for anyone else having the same problem.

Topic Closed

This topic has been closed to new replies.

About this Topic